/*****
*
* TOra - An Oracle Toolkit for DBA's and developers
* Copyright (C) 2003-2005 Quest Software, Inc
* Portions Copyright (C) 2005 Other Contributors
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation;  only version 2 of
* the License is valid for this program.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*      As a special exception, you have permission to link this program
*      with the Oracle Client libraries and distribute executables, as long
*      as you follow the requirements of the GNU GPL in regard to all of the
*      software in the executable aside from Oracle client libraries.
*
*      Specifically you are not permitted to link this program with the
*      Qt/UNIX, Qt/Windows or Qt Non Commercial products of TrollTech.
*      And you are not permitted to distribute binaries compiled against
*      these libraries without written consent from Quest Software, Inc.
*      Observe that this does not disallow linking to the Qt Free Edition.
*
*      You may link this product with any GPL'd Qt library such as Qt/Free
*
* All trademarks belong to their respective owners.
*
*****/

#include "utils.h"

#include "tobackground.h"
#include "toconnection.h"
#include "tomain.h"

#ifdef TO_KDE
#include <kstatusbar.h>
#endif

#include <qlabel.h>
#include <qmovie.h>
#include <qstatusbar.h>
#include <qtooltip.h>

static const char data[] =
    "\x47\x49\x46\x38\x39\x61\x17\x00\x17\x00\xe7\x00\x00\x02\x66\x9a\x92\xbe\xd2\x66\xa2\xc2\x46\x8e\xb6\xca\xde\xea\x2a\x7e\xaa\xaa\xca\xde\x0e\x6e\x9e\x82\xb2\xce"
    "\xb6\xd2\xe2\x16\x72\xa2\x52\x96\xba\x3e\x8a\xb2\x6e\xa6\xc6\xe2\xee\xf2\x9a\xc2\xd6\x22\x7a\xa6\xba\xd6\xe2\x36\x86\xae\x7a\xae\xca\xd6\xe6\xee\x5e\x9e\xbe\x86"
    "\xb6\xce\x0a\x6e\x9e\xbe\xd6\xe6\xa2\xc6\xda\x76\xae\xc6\x16\x76\xa2\x2a\x82\xaa\x5a\x9e\xbe\x8a\xba\xce\x4e\x96\xb6\xd2\xe6\xee\xaa\xce\xde\xbe\xda\xe6\x02\x6a"
    "\x9a\xde\xee\xf2\x12\x72\x9e\xc2\xda\xe6\x56\x9a\xba\x26\x7e\xa6\xae\xce\xde\x36\x8a\xae\x1a\x76\xa2\x6e\xaa\xc6\x1e\x7a\xa6\x2e\x82\xaa\xa2\xca\xda\x7a\xb2\xca"
    "\x66\xa6\xc2\x32\x86\xae\xc2\xde\xe6\x3e\x8e\xb2\xae\xd2\xde\x96\xc2\xd6\x0a\x6a\x9e\x9a\xc6\xd6\x62\xa2\xbe\xde\xea\xf2\x4a\x92\xb6\x8e\xba\xd2\x82\xb6\xce\x72"
    "\xaa\xc6\xd2\xe2\xee\xca\xe2\xea\x46\x92\xb6\xd6\xea\xee\x8e\xbe\xd2\x1e\x76\xa6\xb6\xd6\xe2\xe6\xee\xf6\x52\x9a\xba\x32\x82\xae\x96\xbe\xd6\x5a\x9a\xbe\x06\x6a"
    "\x9a\x12\x6e\x9e\x6a\xa6\xc2\x7e\xb2\xca\x42\x8e\xb2\x3a\x86\xae\xa6\xca\xda\xe6\xf2\xf6\x26\x7a\xa6\xce\xe2\xea\x1a\x76\xa6\x2e\x82\xae\x8a\xb6\xce\x06\x6a\x9e"
    "\x4e\x92\xb6\x6a\xa6\xc6\x7e\xb2\xce\x92\xbe\xd6\x56\x9a\xbe\x42\x8e\xb6\xa6\xca\xde\x62\x9e\xbe\xb2\xce\xde\x76\xaa\xc6\xb2\xd2\xe2\xea\xf2\xf6\x9e\xc2\xd6\xc6"
    "\xde\xea\xba\xd6\xe6\x8a\xba\xd2\x3a\x8a\xae\x4e\x96\xba\x9e\xc6\xda\x12\x72\xa2\x26\x7e\xaa\x62\xa2\xc2\xda\xea\xf2\x76\xae\xca\xc6\xda\xe6\xce\xe2\xee\x12\x6e"
    "\xa2\x3a\x8a\xb2\xc6\xde\xe6\xb2\xd2\xde\x9e\xc6\xd6\xda\xea\xee\x8a\xb6\xd2\x26\x7a\xaa\xb2\xce\xe2\x4e\x92\xba\x62\x9e\xc2\x9e\xc2\xda\x0e\x6e\xa2\xe2\xee\xf6"
    "\x36\x86\xb2\x3a\x86\xb2\x76\xaa\xca\x36\x8a\xb2\xc6\xda\xea\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x21\xff\x0b\x4e\x45\x54\x53\x43\x41\x50\x45\x32\x2e\x30\x03\x01\x00\x00\x00"
    "\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\xfc\x67\x06\xcd\x02\x08\x08\x25\x2c\x48\x30\xb0\xa1\x43\x12\x09\xae"
    "\x7c\x60\x73\xe1\x02\x80\x8b\x6c\x1a\x80\x70\xf8\x90\x84\xc0\x38\x57\xd6\xac\xf1\xf0\x61\x04\x00\x08\x66\x1a\x92\xd8\xc8\xb1\x01\x1b\x08\x2a\xb4\x64\xc8\xf0\x01"
    "\xc0\x07\x32\x03\xc9\x64\x70\x08\x42\x0d\x00\x8b\x17\x01\x2c\x98\xd1\xe0\x82\x99\x0c\x2c\xd1\xa4\x14\x48\xe6\x8a\x87\x04\x71\xee\x34\x01\x1a\x28\xce\x02\x3b\x1e"
    "\x16\xe0\xfc\x70\xa5\x61\xa1\x19\x1e\x05\x16\xf9\x00\xc1\x26\x85\x1f\x71\x46\x34\xf8\x01\xa1\x81\x40\x10\x07\x17\x14\x0a\x2b\x50\x87\xc1\x1f\xff\x66\xcc\x29\x91"
    "\x81\x8d\x8a\x7f\x3a\x24\x00\x68\x52\x67\x81\x5b\x81\x2c\xee\x34\x2c\x32\x82\xcd\x1a\x08\x12\xfe\xb1\x30\x2b\x98\xc5\x3f\xb8\x00\xd8\x2c\xfd\xd7\x00\x80\x84\x0c"
    "\x37\x08\x25\xa8\x68\xc2\xe7\x8d\x3a\x71\xca\x5e\x8c\xfc\x2f\xce\x1c\x9b\x1e\x84\x36\x01\xd0\x20\xc1\xea\x7f\x0b\x82\x5e\x5c\xf0\xcf\x27\x80\x3c\xb3\x3d\x08\xce"
    "\x30\x79\x04\x43\x10\x82\x2f\x8e\x40\x03\xa2\x04\x00\x15\x09\x98\x00\x30\x03\xe1\x42\x11\xc1\xbc\x05\xda\xb9\x71\x72\x67\xec\x12\x09\xb4\xa2\x78\xfe\x07\x81\x49"
    "\x86\xb2\x3b\x07\xde\xf9\x80\xb7\xb7\x84\x04\xb1\xd9\x30\x84\xc0\xc6\xc2\x8d\x1b\x33\x2e\x37\xc8\xa0\xa3\x61\x1d\x33\x4d\xb0\xa1\x46\x1c\x02\x1d\x54\x47\x4d\x66"
    "\xe8\x00\x42\x4d\x19\x6d\x06\x02\x52\x0d\x65\xf5\x0f\x19\x12\xdc\x51\x44\x13\xd4\x5d\xc4\x44\x6d\x24\x50\x70\x87\x07\x38\x09\x54\x07\x1a\x02\x15\x72\x85\x19\x73"
    "\x78\x10\x87\x0a\x58\x04\x05\xc1\x1c\x12\x6c\x26\x50\x02\x21\x92\xa0\x83\x0a\x00\xb0\x60\x82\x05\x64\x29\x70\x43\x1a\x2c\xa9\x14\xa2\x40\x63\x48\x07\x41\x62\x77"
    "\x64\x60\x41\x21\x03\xd1\xc5\x11\x41\xbe\x01\xa0\x00\x42\x10\x2c\x80\x46\x06\xed\x3d\x39\x90\x1d\x2c\xc8\xa0\x42\x20\x12\x34\x71\x45\x7e\x03\x05\x04\x00\x21\xf9"
    "\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\xd4\x31\xa6\x8c\x16\x09\x2b\x88\xb4\x90\x70\x22\x81\xc0\x87\x10\x1f\xea\xa0"
    "\xf2\xaf\x4b\x17\x19\x05\xd8\x00\x58\x82\x64\x02\x88\x88\x20\x1f\x06\x68\x62\x21\xc0\x16\x06\x58\x20\x34\x09\x19\xd1\xc0\x00\x24\x6c\x5a\xd0\x80\xf3\x00\x8e\x8b"
    "\x02\x49\x20\xbe\x91\x03\xd1\x44\x00\x30\x3b\xa0\x10\xb9\x31\xa2\x00\x8c\x3c\x69\x62\x50\x14\x48\x25\x0a\x44\x11\x21\x12\xd4\xb1\x63\x61\xc0\x05\x00\x05\x7a\x88"
    "\xf1\x11\xe2\x81\xc3\x7f\x6b\x1e\x5a\x50\x32\xa1\x08\x05\x81\x09\x26\x48\x28\xc1\x20\xc0\x98\x04\x02\x7a\x50\xe9\xd0\xe0\x1f\x09\x18\x32\x68\x4c\xe0\x91\x02\x22"
    "\x90\x00\x5d\x32\xfc\xa8\xf3\x41\xc2\x83\x1c\x1f\xfe\x4d\x98\xe2\x82\x47\x0f\x2f\x15\x1e\x36\xc9\xf9\x50\x04\x83\x39\x1a\x18\x14\x48\xc0\xe1\x06\x0f\x0b\x05\x96"
    "\xc0\xf9\x37\xa6\xc2\x9c\x2a\x4e\x05\x26\x69\xa1\xc0\x02\x1d\x19\x2c\x96\x9c\xb0\x13\xba\x85\x1d\x03\x05\x46\x00\x00\x30\x40\xa0\x99\x20\x37\xe8\xf0\x20\x82\x24"
    "\xd0\x12\x1b\x4e\x76\xd7\xf5\x71\x63\x37\x80\x0b\x6a\xfe\x59\xb8\x5a\x01\xc1\x08\x35\x2d\x88\x64\x60\xb0\x44\x82\x43\x13\x41\x9c\xd9\x1f\x40\x60\x22\xf7\x0a\x2e"
    "\x47\x3c\xb7\x40\xe2\xa1\xc5\x0a\x18\x0f\x6d\x94\xe0\xd8\xe3\x9f\x87\x1b\x2b\x58\x78\x38\x40\xa4\x0e\x11\x15\x5a\x1c\x20\x48\x18\x10\x0d\xc1\x82\x08\x02\x2d\x80"
    "\x44\x03\x3c\x30\x50\x42\x10\xff\xa4\xd1\x41\x1e\x28\xa8\x01\x04\x1e\x21\x34\xf0\xc0\x52\x02\xd9\xe0\x81\x13\x41\xb4\xd1\xd0\x3f\x0d\x28\x51\x07\x0b\x39\x60\x70"
    "\x46\x12\x34\xdc\x20\x01\x17\x66\x08\x04\x44\x0a\x30\x28\x81\xc0\x43\x77\x08\xf4\xc5\x10\x06\x38\x61\x81\x13\x44\x00\x70\xc0\x0e\x01\x10\x20\x44\x02\x51\x98\x00"
    "\xd1\x18\x1f\xfd\x83\x01\x01\x39\x3c\x11\x00\x1c\x10\x00\x90\xd2\x0e\x60\x34\xc1\x83\x92\x0f\xe1\x61\x84\x44\x08\x40\x90\x86\x0d\x49\x54\x50\x40\x09\x7f\x40\xd0"
    "\xc0\x0b\x2c\x41\xa4\x04\x11\x0a\x74\x90\x04\x17\x08\x34\xd1\x83\x1d\x6d\xf6\x54\x01\x11\x23\x2c\x31\x05\x1d\x0c\x54\xa0\x84\x40\x6f\xe4\x89\x96\x0f\x32\xc8\x80"
    "\x84\x0c\x6a\x34\xb1\x46\x06\x1c\x06\x04\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\xfc\xf7\x26\x01\x02\x35"
    "\x6d\x14\xac\x68\x41\xe7\x44\x82\x81\x10\x23\xea\x20\x21\x70\xc2\x07\x41\x0a\x00\x54\x39\x12\xb1\x63\x44\x37\x1d\x9c\x78\x68\x52\x40\x81\x12\x03\x1e\x21\x12\x98"
    "\x90\xf0\x00\x04\x3e\x79\x7a\x04\xd9\x10\x43\x44\xca\x7f\x64\x70\x58\xe0\xe1\x64\x47\x8b\x11\x37\x4e\xf0\x78\x22\xa1\xc8\x40\x07\x20\x22\x86\x89\x23\xe4\x5f\x06"
    "\x16\x44\x00\xcc\x69\xc2\x43\x8f\x01\x03\x40\x70\xa2\xfc\x57\xc4\x47\x20\x09\x0d\xa8\x0c\x0c\x31\x60\x05\x84\x07\x3e\x8a\xe4\x99\x40\xe6\x1f\x02\x81\x15\x20\x04"
    "\x19\x62\x03\xce\x1d\x88\x5c\x3e\xb0\x00\x41\xe5\x81\x8c\x14\xff\x3e\x24\xe0\xb3\x61\x41\x12\x1f\x10\xbc\x0c\x14\xe0\x01\xa5\x05\x81\x08\xaa\x68\x19\x22\x81\xc5"
    "\x0a\x09\x77\x2a\xb0\xb9\xe1\x64\xcc\x03\x01\x55\x20\x3c\x16\x98\x40\xc9\x81\x0a\x4a\xf4\xd0\x01\x60\xc1\xc6\x01\x00\x05\xfe\x79\x28\xb0\x04\x00\x80\x05\x03\x59"
    "\x40\x20\x02\x23\x88\x8b\x16\x10\xd6\xec\x00\xa0\x20\xca\x3f\x1e\x25\x6c\x03\x60\xb3\xe3\x5f\x82\x29\x23\x68\x5c\x21\x22\x83\x08\x83\x1e\x10\x56\xe0\xfe\x57\xe3"
    "\x83\x72\x05\x3e\xfe\xcb\x79\x01\xb0\xc4\x87\x06\x00\x27\xb4\x9f\x60\xa2\x66\xcd\xc0\x09\x1b\x2e\x30\x68\xf2\x80\xc7\x85\x03\x3b\x78\xd0\x69\x81\xc6\x05\x82\x2e"
    "\x07\xbc\xf5\x8f\x0d\xff\xa4\x00\xc3\x10\x21\x08\xb4\x03\x1b\x0b\x78\x70\xc2\x01\x03\x98\x81\xdb\x1d\x6d\xe0\xf0\x06\x05\x13\x28\x91\x04\x44\x08\x54\xd0\x83\x0d"
    "\x6a\x54\x41\x07\x64\x02\xb9\xf1\x40\x02\xad\xad\x70\x80\x12\x11\x0c\x44\x00\x02\x12\x40\x01\x46\x00\x02\x19\xf5\x0f\x06\x0f\xa4\x20\x43\x66\x07\x8c\xa0\x07\x0b"
    "\x0f\xfd\x90\xc1\x43\x10\xe9\xd0\xd6\x3f\x24\x18\x50\xc0\x02\x5c\xec\x70\x01\x00\x28\x74\x60\x43\x08\x38\xac\x71\xa4\x47\x29\x9c\x50\x45\x05\x87\x41\xc1\xc6\x01"
    "\x2b\x14\x20\x00\x06\x37\x09\xf4\xc0\x0e\x1b\x5c\xc7\x83\x06\x0b\x7c\xe0\x41\x52\x65\x0e\x54\xd6\x08\x6d\x0c\xa0\xc4\x68\x71\x0e\x34\x86\x0f\x50\xc8\xe0\x42\x01"
    "\x12\x2c\x80\x40\x19\x3f\x40\x14\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x14\xa8\x83\xc0\x84\x20\x1b"
    "\xe6\xac\x80\x40\xe7\xc4\xc0\x87\x10\x1f\x62\x08\xa0\x24\xcd\x8d\x0b\x12\x7a\x44\xdc\x08\xe2\x1f\x18\x1a\x27\x26\x0c\x59\xb0\x01\xc9\x9a\x8d\x0f\x75\xbc\xc8\x71"
    "\xe3\x00\x9b\x29\x02\xf2\x9c\x50\x40\xe4\x24\xca\x7f\x26\x0c\x7c\x89\xc0\x63\xc7\x86\x11\x12\x9c\x08\x18\xe1\x03\x65\x0a\x38\x3b\x10\x98\x11\x68\x21\xcb\x92\x1b"
    "\x1f\xca\x7c\x50\x43\x61\xa0\x03\x81\x51\x38\x2c\x59\xe0\x24\xc3\x1b\x81\x63\x04\xb4\x58\x01\x63\xc2\x84\x14\x29\x3a\x2e\x75\x82\x64\x45\x8c\x17\x13\x06\x68\x78"
    "\xc8\x45\x50\x10\x03\x67\xbe\x80\x29\xf2\x0f\x8e\x0f\x41\x44\x1a\xf0\x20\xe9\xa2\xc1\xc0\x09\x09\x7a\x28\xe9\x58\xe7\x00\x02\x20\x3b\xe8\x1c\x88\x71\x87\xc1\x8d"
    "\x12\x30\x44\x78\x10\x80\x02\x42\xd1\x81\x36\x98\x30\xc8\xd0\x06\x42\x89\x0c\x43\x01\x74\xf9\x27\x40\xcf\x12\x00\x23\x1c\x0a\x0c\xb0\xe0\xc2\x82\x06\x10\x88\x0c"
    "\xb0\xa0\xa7\x04\x9d\x04\xff\xa2\x54\x01\x40\xbc\x8a\x40\x33\x0b\x14\xb4\x81\x31\xc0\xca\x06\x30\x47\x4a\x0c\x98\x20\x30\x84\x1a\xe2\x00\x14\x54\xf8\xd7\xe4\x02"
    "\x80\x0f\x3c\x14\xc6\xc8\x40\xc1\x05\xc9\x85\x00\x0f\x9b\x28\x38\xf0\xa4\x42\x94\x3c\x2b\xb0\x14\x70\x52\xa1\xc4\x89\x1d\x11\x62\xdc\x30\xf1\x0f\x04\x9c\x07\x45"
    "\x08\x10\xc5\x03\xff\x20\x20\xc1\x0d\x74\x6c\x21\xd6\x00\x68\x50\x17\xc2\x09\x63\xc4\x91\x42\x10\x0c\x78\xf0\x50\x07\x32\x08\x60\x83\x06\x2d\x28\x80\xc0\x3f\x54"
    "\xfc\x13\xc7\x1a\x06\xf4\xc0\x83\x18\x07\x40\xe0\xc4\x52\x22\x66\x60\x01\x18\x23\x30\x31\xd7\x3f\x52\x08\x04\xc2\x0f\x3b\xb8\xf1\x82\x17\x58\xdc\xb0\x00\x7a\xff"
    "\x14\xb1\xc5\x00\x3e\xd8\x80\x52\x07\x00\x4c\xd0\x03\x12\x00\x6c\x70\x42\x14\x14\x84\x11\x42\x88\x37\xf1\xc0\x84\x67\x4e\xec\xa0\xc0\x0d\x63\x9d\x70\xc7\x57\x37"
    "\xfd\x83\x46\x67\x02\x3c\x30\x81\x1a\x05\x74\x91\x41\x21\x61\x0e\x04\x43\x1a\x07\x6c\x30\x40\x13\x49\xf0\xd5\xe6\x43\x2c\xd0\x81\x84\x0b\x6d\xa0\xb0\x03\x75\x3a"
    "\x40\x14\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\xe8\x40\xc7\xbf\x05\x4c\xd8\xac\x40\x41\x68\xa0"
    "\xc3\x87\x0f\x43\xd8\x00\x63\x05\x00\x11\x25\x09\x20\x6a\x14\xb1\x63\x01\x04\x25\x1e\x26\xc8\x28\xb1\x40\xe3\xc3\x04\x57\x04\x40\xb8\xa0\x20\x90\x06\x16\x0a\x36"
    "\x20\x30\xf9\x4f\xce\xbf\x14\x45\x4c\x98\xe8\xa1\x02\xc0\x14\x16\x08\x38\x48\x30\xa1\x91\xc7\x13\x09\x12\x10\x50\x10\xd8\x60\x05\x80\x02\x2f\x04\x20\xc9\x70\x52"
    "\xcd\x0a\x0e\x31\x32\x78\x08\x41\x42\xa0\x0d\x0e\x07\x06\xdc\x41\x91\x22\xe3\x3f\x23\xff\x62\x1c\x68\xf1\x20\x45\x90\x36\x39\x1c\x4e\x90\xc0\x81\xc7\x96\x1a\x01"
    "\x44\xfc\x93\x92\x06\x02\x83\x3c\x5b\x0a\xdc\xd0\xd3\xe3\x1f\x95\x7f\x0d\x12\x3c\xe8\x10\xe5\x87\x89\x26\x1e\x04\x42\xb8\xc1\xc3\x49\x1b\x00\x2b\x72\x44\xb0\x90"
    "\x03\x49\x0b\x16\x02\x41\xfc\x33\x53\x60\xc1\x99\x2e\x2b\xd2\xd8\x80\x32\x82\x0d\x97\x7f\x1d\x88\x2c\x01\x00\x60\x01\x51\x81\x3c\xfe\xa0\x08\xd1\x62\x05\x98\x0e"
    "\x6c\x5c\x94\xfc\x97\x00\x02\x6d\x00\x10\x06\xfa\x60\x70\x60\x41\x03\x08\x2d\x92\x10\xb9\x61\x61\xa0\x9d\x1d\xc7\x15\x94\xcc\xd0\x62\x89\x84\x2b\x50\x5c\xbf\x1c"
    "\x49\xd1\xb7\xce\x3f\xd1\x69\x37\x94\xa0\x71\x22\x8a\x0f\x0e\x00\xaa\xe4\x80\x71\x81\x8e\x40\x0d\x5a\x08\xe0\x49\xc1\xa2\x6c\x07\x3b\x6b\xfc\x63\x83\x15\x58\xb4"
    "\x20\xc0\x20\x0c\x14\x70\x84\x40\x7b\xf0\x60\x07\x0f\x43\x14\x60\xc5\x04\x0e\x2d\x40\x04\x0a\x3c\xd8\x80\xc2\x12\x14\x92\x21\x50\x02\x63\x20\x61\x80\x04\x37\xa4"
    "\x11\x82\x40\x66\x3c\xb0\xc5\x0b\x3e\x04\x72\x00\x07\x66\x38\x44\x02\x0f\x05\x68\xf0\x40\x0b\x16\xf9\x20\x10\x15\x57\x20\x21\x81\x0b\x02\x68\x34\x46\x01\x12\xac"
    "\xa1\x05\x04\x23\xd0\x61\xc3\x1b\x04\x44\x51\xc4\x3f\xb7\x69\xc4\x42\x09\x12\x4c\x90\x83\x1e\x07\x28\x00\x05\x0b\x3c\x98\x45\xd3\x3f\x50\x5c\xf0\x84\x07\x16\x2c"
    "\xb0\x82\x0b\x3e\xa4\xf0\xe5\x40\x45\x08\x40\xc4\x01\x0c\x34\x61\x03\x55\x6b\x3e\x44\xc7\x8f\x05\x40\x70\x02\x4d\x01\x01\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c"
    "\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\x50\x89\x02\x05\x44\x20\x10\x5c\xc8\x70\x60\x94\x21\x0b\x4a\xb0\x41\xc2\xa2\xe1\x42\x32\x18\xb8"
    "\xa4\x61\x50\xa0\xc1\x1d\x35\x07\x24\xc0\xb0\x48\xf0\x85\x87\x06\x28\x2e\xb4\x58\x00\x63\xc0\x01\x25\x54\x1a\xbe\x41\xc3\x62\x47\x12\x02\x04\x44\x08\xa8\xc2\xa4"
    "\xc3\x83\x27\x0a\x26\x30\x9c\x50\x61\xc5\x8d\x05\x39\x6a\x50\x10\xf8\xe1\xc6\x0d\x37\x08\x2e\x34\x59\xd8\xc3\x05\x93\x1d\x1e\x92\x70\x81\x73\x46\xa0\x9d\x1d\x37"
    "\x24\xf0\x08\x72\x42\x0a\x41\x28\x25\x3a\x60\x10\xa0\xe2\x6a\x83\x81\x1d\x24\x94\x08\xd0\x27\x4f\x8a\xae\xff\x50\xcc\xe9\xe0\x21\xc6\x8d\x25\x44\xee\xfc\x03\xf1"
    "\xaf\x41\x88\x22\x0b\x34\x14\xc1\xc0\x23\x89\x40\x22\x2d\x12\x74\x99\xb3\x84\xce\x93\x28\x68\x4e\x48\x58\x51\xb1\x82\x01\x10\x40\x34\x54\x20\xf3\x4f\xc1\x89\x26"
    "\x10\xd8\x08\x2a\xf2\xcf\x89\x82\x25\x00\x00\xec\x30\x31\xd0\x84\x0b\x06\x76\xdc\x40\xe0\x31\x65\x89\x80\x81\x06\xda\xc4\x06\xd0\x86\x20\x9c\x0b\x05\x32\x40\xc8"
    "\xb1\xc6\x4a\x01\xda\x02\x13\xd0\x18\xae\x60\xc1\x3f\x33\x0b\x56\x54\x11\x00\x46\x21\x99\x1d\x1a\xe4\xbc\x50\x18\x03\xe7\x5f\x93\x12\x1b\x90\x74\xb0\xd1\x01\xec"
    "\x9f\x1d\x6b\x5a\xc8\x10\x88\xe0\x8e\x09\x11\xa2\x4d\xbc\x70\xf2\x42\x70\x18\x3d\x17\x2c\xb1\x83\x0f\xd9\xd1\x21\x50\x11\x19\x04\x20\x06\x0f\x07\xe8\xf1\x96\x40"
    "\x15\xa8\xb1\x04\x04\x0b\xbc\xd0\x41\x09\x7c\x0c\xe4\xc0\x1b\x6a\x54\xc0\x05\x07\x07\x9c\x60\x86\x40\x6b\xe4\xe0\x84\x05\x3c\xa8\x71\x01\x12\x0f\x2c\x74\xc2\x1f"
    "\x01\x2c\x70\xc3\x05\xd6\xfd\x43\xc0\x1e\x3e\x54\x70\x00\x13\x14\x31\xd4\x04\x13\x27\x84\x90\xc5\x01\x2b\xc0\x81\x07\x08\x29\x0c\x11\x44\x0c\x4d\xa4\xd0\x90\x09"
    "\x41\x28\x50\xc1\x04\x0c\xb0\xc1\x04\x03\x3d\xac\x61\x00\x49\x03\xb1\xe0\x02\x1b\x15\x64\xe0\x06\x11\x53\x64\x61\x41\x11\xa4\x71\xf9\x0f\x02\x69\xac\x30\x45\x0e"
    "\x01\xd8\x40\x98\x9a\x0b\xa9\x80\x44\x01\x6f\x72\x19\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48"
    "\xf0\x5f\x0e\x36\x0a\x20\x14\x5c\xc8\xf0\xdf\x97\x09\x0c\x6e\x10\xa1\xd1\xb0\xa0\x94\x28\x1a\x0a\x48\xa0\xe3\x81\x05\x11\x05\x13\x2a\x92\x20\x00\x23\x8c\x01\x1b"
    "\x4d\x14\x1c\x28\xc0\x82\x05\x04\x08\x3e\x18\x8a\x61\x61\x45\x86\x15\x1e\x14\xcc\x84\xa0\xb1\x84\xc1\x83\x05\x58\x04\x80\x28\x88\xa0\xca\x12\x09\x02\x3c\xe4\xf9"
    "\x21\x50\x0c\x91\x25\x34\x7a\x48\x80\x10\x81\x60\x90\x16\x2e\x04\x04\xc8\xe0\x46\x0d\x8f\x81\x4d\x0e\x28\xc0\x91\xc3\xca\x1a\x82\x2d\x20\x58\x48\x31\xa0\xca\x01"
    "\x0e\x4d\x08\x06\xda\xd0\xc7\x82\x02\x02\x03\x21\x30\xe9\x31\xe1\x09\x00\x89\x29\x52\x0c\xfd\x17\x20\x4e\x1a\xaf\x6b\xed\x08\x9c\x98\xc7\xc5\x08\x05\x31\xfe\x21"
    "\x40\x30\x80\x4e\x0b\x1f\x51\x1a\x4c\x00\x01\xc4\x8f\x8f\x19\xff\x88\x38\x91\x70\x40\x85\x12\x81\x2f\x56\x2c\x01\x00\x20\x90\x99\x81\x75\x06\x0d\xc0\xf3\x4f\xc0"
    "\x9d\x36\x0a\x0c\x0c\xbc\x53\x80\x35\x00\x14\x04\xc7\xb4\x90\x90\x22\xee\x0f\x09\x3e\x80\x0c\x4c\xd0\x9b\xb5\x82\x81\x1a\x06\xdc\x60\xc0\xa3\xc5\xbf\x22\x31\x42"
    "\xfc\xa0\x80\xc6\x43\x88\x26\x2b\x36\xb3\x4c\xe9\x00\xe3\x1f\x1c\x08\x23\x38\xf4\xd8\x01\xfc\x5f\x86\x14\x01\x92\xec\xa0\x61\xc2\x49\x06\x2e\x19\x92\x44\x40\x72"
    "\x00\x80\x8b\x18\x3e\x28\x20\x81\x40\x78\xd4\x01\x81\x0d\x4a\xdc\x90\x06\x41\x3e\xd0\x71\x03\x1b\x12\x58\x30\x41\x0b\x48\x10\x84\xc6\x14\x3e\xd8\xc0\x06\x1b\xe5"
    "\x09\xe4\x83\x0a\x03\x58\x80\x46\x1f\x05\xa0\xe0\x06\x41\x5f\x6c\x10\x44\x00\x12\x00\x00\x01\x1c\x02\x99\x81\x06\x0f\x2c\x0c\xb0\xc4\x01\x5f\x11\x64\xc2\x09\x07"
    "\x34\x60\x01\x12\x00\x0c\x20\x02\x05\x04\x78\x00\x81\x0c\x1b\xec\xc0\x00\x43\x4a\x30\x21\x83\x05\x02\x10\x71\x81\x0b\x6b\x85\x20\x82\x18\x09\x14\x51\x91\x13\x69"
    "\x69\xf0\x23\x11\x48\x65\x20\x45\x45\x56\xa1\xd0\xc2\x0e\x08\xd8\x20\x42\x18\x64\x32\x24\x81\x0b\x10\x08\xd0\x66\x40\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00"
    "\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\x50\x60\x97\x15\x44\x20\x14\x5c\x58\x10\x84\xc0\x14\x7d\x36\xb0\x29\xc0\x90\x61\x9c\x24\x1d\x0a\xb8"
    "\x50\x12\x40\xc6\x01\x06\x68\x2a\x86\x18\x82\x40\xcd\x97\x10\x19\x4e\x5c\x50\xb0\xc0\x03\x83\x25\x2c\x16\xda\x68\xc0\xa0\x04\x93\x27\x0c\x52\xe0\x29\xa4\xe1\x00"
    "\x04\x18\x5a\x6e\x30\x78\x51\x30\x0b\x80\x12\x1d\x3c\x04\x88\x12\x85\x82\xc0\x13\x00\x20\x78\x58\x70\x00\x01\xc1\x02\x07\xf8\x58\xc8\xd0\xe4\x89\x84\x0a\x06\x04"
    "\xf2\x50\x70\x20\x46\x8f\x0b\x70\x06\x42\xd8\xf0\xe4\x01\x82\x36\x7f\x46\xb4\x69\x40\x70\x07\x13\x06\x3c\xa0\x34\x20\x23\x90\x48\x8b\x07\x27\x20\x00\x50\x80\x04"
    "\x47\x04\x11\x29\x04\x16\x51\x21\x21\x8a\x8c\x28\x66\x04\x42\x10\x70\x62\xc3\x81\x34\x16\x04\xfa\x28\xf0\xa4\x8d\x96\x14\x08\x16\xec\xc9\x60\x20\x83\xc3\x0a\x5f"
    "\x20\x60\x49\x2b\xb0\x50\x81\x11\x00\x00\x10\x49\x6c\x03\x04\x88\x14\x4a\x22\x08\xc4\x50\xa0\x42\x9c\x81\x38\x64\xc4\x06\x20\xe3\xce\x40\x13\x15\x18\x10\x78\xb8"
    "\xa3\xc8\x1b\x0a\x19\xfe\xdd\x29\x31\xbc\x0a\xc1\x1e\x07\x5c\x24\xc8\xf1\xcf\x4c\x80\x10\x29\x6a\xbf\x54\x78\x90\x00\x0c\x04\x08\x07\x4e\x08\xb4\x71\x82\x49\x89"
    "\x0a\x1a\xda\xb4\x36\x30\x20\x84\x0c\x24\x63\xfe\xd5\x41\xc3\x23\x43\x88\x01\x44\x60\x41\x84\x1a\x5c\x68\x24\x90\x03\x1d\xb4\x85\xc4\x05\x15\x5c\x87\xc4\x0d\x17"
    "\xac\x50\x81\x05\x69\x4c\x11\xc8\x40\x02\x1c\x30\xc4\x02\x37\x40\x60\x83\x40\x68\x3c\x51\x00\x04\x0b\xa0\xa1\xc1\x00\x6c\x30\x40\x10\x0b\x07\x34\x11\x40\x0b\x58"
    "\x2c\x20\x10\x01\x19\xdc\xc1\x83\x07\x39\x28\x00\x80\x00\x05\xf1\x50\xc0\x14\x62\xe4\xb0\x02\x1b\x16\xe8\x00\x42\x06\x03\x04\xf1\xc7\x05\x2d\x34\x11\xc2\x42\x31"
    "\x00\xa0\x06\x0f\x03\x1c\xb0\x42\x03\x18\xbc\x60\x07\x1f\x3e\x68\x01\x43\x45\x36\x64\x31\x07\x0d\x49\x2c\xb0\x82\x0b\x7c\x24\x51\x47\x45\x0b\xa9\x50\x00\x07\x4d"
    "\xdc\x11\x42\x14\x33\xb0\xc9\x90\x04\x32\xf4\x66\xa7\x40\x01\x01\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09"
    "\x1c\x48\x70\xe0\x8e\x29\x10\x0a\x2a\x2c\x68\x04\x84\xc0\x33\x5e\x98\xb4\x58\x48\x90\x44\x02\x11\xff\xc2\xf0\xd8\x01\x85\xc6\x16\x25\x4b\xda\x04\x59\x98\x40\x40"
    "\x03\x19\x4f\x76\xa4\x08\xf1\x40\xc6\x01\x0e\x08\x2a\x00\x60\x90\xa0\xe0\x91\x0f\x37\x6e\x20\x79\xd2\x41\x09\x01\x02\x67\xa0\x1c\x50\x33\x21\xcd\x81\x26\x05\xdb"
    "\x00\xf8\x30\x61\x88\x09\x2e\x3d\x80\x08\x74\xd2\x42\x41\x0f\x37\x17\x04\x38\x14\x48\xe4\x40\x03\x0f\x01\xe8\x14\x58\x41\xa7\xc7\x40\x24\x00\xa0\x38\xb1\x42\xe4"
    "\x8b\x40\x08\x2b\xdc\xf0\x50\xa3\x00\xc0\x01\x08\x3e\x08\x36\x51\x50\x20\xc1\x13\x1a\x11\x04\x16\x18\xe0\xc4\xc5\x01\xbe\x5d\x10\xd4\x09\x41\x40\xa0\x0d\x19\x44"
    "\x02\x2c\xd8\x61\x44\xe0\x82\x08\x32\x6e\x08\x42\x2a\x50\xc9\x94\x27\x48\x04\x60\xe0\x41\x07\xcd\x89\x28\x45\x06\x26\x70\x21\x23\xb0\x40\x02\x32\x46\x00\x00\xa0"
    "\x20\xc0\xbf\x26\x04\x0a\x45\xb1\xb1\x35\x05\xa1\x28\x5b\xff\x85\x40\x3b\x5b\x82\xeb\x7f\x54\x32\xec\xc0\x20\x30\x4e\x80\x14\x54\xa8\x6c\xf9\xe7\x81\xc9\x6c\x00"
    "\x09\x07\x9a\x90\xc0\xc0\x84\xc0\x37\x63\xbe\xc6\xb0\x40\xf3\xa4\x0c\x86\x05\x28\x50\x5c\xf8\x30\xd0\x82\x97\x39\x34\xcc\x1c\x11\x88\x67\x80\x80\x00\x6c\xda\x08"
    "\xac\x63\x03\x4e\x88\x21\x3e\xd0\x01\xc1\x5d\x57\x2c\x20\x81\x40\x5f\xb8\xf0\x41\x11\x2d\xac\x60\x01\x41\x1e\x14\xc0\x86\x5d\x34\x38\xe1\x06\x04\x81\x38\x36\x07"
    "\x03\x01\x28\x45\xc7\x40\x02\x20\x71\xc3\x0a\x6d\xb0\xe0\x43\x05\x07\xc8\x30\x50\x21\x47\x28\x30\x01\x0b\x6c\x40\xf0\xe0\x3f\x18\x4c\xd0\x43\x14\x1e\x34\xa0\xc6"
    "\x08\x82\x14\x74\xc2\x12\x59\xc0\x00\xc5\x0d\x4f\x80\x80\x87\x08\x0d\x08\xb0\xc3\x13\x07\x00\x50\x41\x5e\x04\x8d\xa1\xc6\x12\x4d\xc0\xd1\x02\x1b\x03\x8c\x11\x45"
    "\x08\x4f\x30\xc0\x84\x17\x0b\x98\xb1\xd0\x02\x05\x6c\x00\xc6\x04\x2e\x14\x90\x46\x00\x63\xfc\x33\xc6\x03\x35\x51\x24\x10\x12\x6d\x2c\x90\x40\x06\x51\x98\x50\x99"
    "\x9c\x0a\x49\x90\xc6\x02\x7c\x0e\x14\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\x90\x20\x03\x09"
    "\x2e\x0a\x2a\x2c\x08\x02\x84\xc0\x0c\x55\x14\x40\x58\x48\xf0\x0c\x97\x00\xff\x32\x58\x90\xb0\xa0\x02\x8c\x15\x0a\x12\x2a\x6c\x20\xc0\x45\x8b\x16\x56\x76\x60\x08"
    "\xa1\xe1\x82\x82\x3e\x5b\x0e\xb4\x59\x50\xd0\x05\x87\x03\x10\x16\x08\xd0\xc0\x82\x87\x0e\x13\x1a\x46\x14\xd0\x50\x61\x89\x1b\x82\x10\x36\xb0\xf1\x11\x40\x23\x9c"
    "\x2b\x3c\x28\xfc\xb3\xb1\x63\x89\xc7\x15\x48\x06\xba\x20\x42\x24\x89\x93\x1c\x4c\x14\x94\x28\xe1\x26\x84\xc0\x05\x58\x0e\x58\x78\x52\xc5\x8e\x40\x3a\x10\xbe\xa2"
    "\xc0\x32\xa2\x04\x91\x09\x0d\x06\xda\x00\xd9\x23\x87\x02\x04\x02\x83\x64\x38\x31\x67\x49\xa0\x01\x43\xfe\xd9\x49\xe1\x50\xa0\x04\x05\x2c\x7c\xb8\xb0\x31\xb0\x08"
    "\x83\x1b\x4c\x07\x7a\x29\xc0\x80\x4e\x87\x04\x5c\x0e\xe4\x69\xc2\x40\xaa\x40\x11\x2e\x9c\x10\xa8\x2c\x01\x80\xeb\x15\x3c\x7a\x1c\xb1\x81\x26\x41\x8a\x81\x85\x2c"
    "\x24\x20\x41\xe1\xc5\xbf\x04\x2e\x5c\x03\x90\x50\xe7\x5f\x92\x1f\x14\x0c\xf0\x68\x4c\x25\x43\x02\x1c\x49\x9a\x3c\xe0\xb1\x41\x78\x01\x82\x66\xb6\x30\x58\xfd\x4f"
    "\xc7\x0f\x06\x13\xae\xc2\xcc\xb1\x91\xe2\x49\x01\x08\x25\x9e\x0c\x34\xe0\xa4\xc4\x09\x13\x03\x2d\xb4\x41\x13\xe3\x80\x0c\x81\x76\xd6\xc0\xc9\x90\xb1\xc3\x0e\x00"
    "\x7f\x34\x91\x42\x10\x02\xf9\xc0\x84\x06\x62\x1c\xa0\x87\x59\x02\x21\x80\x06\x07\x44\x2c\xb1\x44\x01\x15\xc8\x97\xc5\x43\x6c\x74\xc0\xc5\x05\x37\x28\x21\x10\x0f"
    "\x1f\x1c\x70\xc1\x01\x37\x7c\x10\x43\x0f\x05\x70\xa0\x9e\x40\x44\xa4\xf6\xc1\x08\x1f\x18\xf0\x4f\x1d\x16\x0c\x72\x42\x03\x68\x4c\x20\x80\x02\x05\x48\x40\x50\x05"
    "\x37\x0c\xd2\x80\x02\x23\x58\xf0\x06\x08\x01\x0c\xe2\x01\x0b\x47\xb4\x71\x43\x1a\x04\x12\xc4\x02\x07\x1b\x58\xd0\x01\x13\x2d\xf0\xb0\x47\x79\x48\x94\x10\x16\x0b"
    "\x79\x2c\x24\x41\x01\x05\x38\xb1\x80\x0b\x32\x78\x10\xc5\x3f\x79\xc0\x81\x11\x45\x8e\x21\x61\x45\x14\x06\xd8\x61\xc2\x0f\x70\x2e\xf4\x04\x1f\x2b\xe6\x29\x50\x40"
    "\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\xb0\xa0\x9a\x2e\x05\x13\x26\x24\x00\x42\x60\x83\x15\x10"
    "\x14\x0a\x44\xe3\xa1\x09\x0b\x1f\x4d\xfe\x25\x71\x42\x87\x05\x1a\x06\x0a\x22\x26\x94\xc0\x00\x0b\x1b\x05\x6c\x02\x09\x10\x91\x01\x24\x92\x35\x05\x14\x48\x28\x08"
    "\x61\x83\x82\x13\x0d\x78\x3c\xe0\xd1\x20\x02\x08\x11\x31\x4f\x78\x60\x63\x05\xc6\x40\x08\x2b\xa0\x3c\xb8\x12\xe0\x44\x85\x0e\x3e\x30\x08\x9c\x70\x83\xc1\x84\x27"
    "\x07\x78\x08\xec\x02\xe1\xc9\x9d\x0a\x0c\x6e\x2c\x19\xbb\xc3\x82\xc0\x26\x2b\xb0\xf4\x58\xc0\x24\xe3\xbf\x05\x3e\xf2\x58\xd9\x30\xa2\x84\x8b\x02\x08\x7a\x0c\xb4"
    "\x23\x63\xc9\x02\x27\x1b\xdc\x10\x54\x72\xa0\x00\x8b\x05\x09\xfe\x3d\xc0\x60\x66\xa0\x17\x2c\x15\x78\x1c\x10\x30\xd0\xc1\x8e\x27\x22\x06\x82\xa8\x80\x02\x4a\x10"
    "\x25\x2f\x1e\x1c\x50\xc2\xc3\x85\x5e\x81\x75\x06\x25\xa0\x30\x30\x44\xa0\x11\x00\x46\x10\x79\xf0\xe0\x03\x9c\x06\x27\xf0\x0c\x34\x61\x63\x8c\x08\x13\x7a\xa3\x14"
    "\x00\x40\xdc\x45\x91\x7f\x5a\x44\x14\xd9\x93\xa1\xf2\x8f\x1c\x3d\x7c\x28\x31\x60\x43\x01\xf1\x11\x48\x08\x52\x49\xb1\xa5\xa1\x40\x16\x48\xee\xbc\x2c\xb8\x90\x24"
    "\x09\x67\x22\x0a\x9e\x10\x14\xe1\xa5\x82\x91\x81\x5d\xe6\xd4\x5e\x72\xe2\x1f\x88\x3b\x49\xb6\x68\x35\xd3\xc0\x82\x8b\x15\x3e\x10\x74\x42\x0b\x38\x78\xb1\x04\x1d"
    "\x8d\x09\x94\xc4\x10\x4f\x48\xd0\xc2\x0d\x73\x58\xf1\xc0\x04\x0b\x08\x94\x85\x02\x0d\xb0\xb0\x04\x11\x0d\x9c\x35\x00\x16\x4b\xc4\x26\xc3\x09\x77\x7c\xd0\x46\x87"
    "\xff\x58\x00\x80\x12\x70\x14\x70\xc3\x69\x76\x80\xb5\x03\x0d\x3e\xf4\x27\x41\x1b\x33\x09\xc4\x43\x1a\x0a\x24\xb1\xc3\x01\x12\xe0\x41\x81\x1d\x08\x94\x17\x40\x0e"
    "\x27\xb0\x31\x85\x0a\x05\xa9\x00\x41\x1a\x38\x70\xb0\xc2\x02\x11\x44\x91\x03\x1d\x25\xb4\x70\xc0\x08\x59\x54\x38\x52\x01\x59\xe4\x41\xc3\x0e\x83\x3c\xf0\x8f\x1b"
    "\x15\xec\x20\xc3\x10\xcd\x49\x24\x81\x0b\x01\xca\x61\x06\x01\x12\xd5\xa9\x85\x97\x75\x12\x14\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00"
    "\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\xb0\xe0\x04\x16\x3e\x0a\x2a\xfc\x97\xe1\x07\x88\x7f\x64\x08\x3c\xfc\x27\x08\x49\x81\x85\xff\xd4\xc4\x50\x41\x43\x42\x87"
    "\x05\x22\x3c\xf8\xd8\x91\xa4\xc7\x01\x08\x0b\x21\x10\x01\x30\x05\x82\x8c\x29\x32\xae\xa4\xb0\x30\x02\x85\x80\x23\x27\x09\x16\x80\xa0\x00\xc9\x16\x0b\x18\x86\x44"
    "\xb1\xd1\x80\x42\x9c\x26\x07\x90\xd8\x28\xd0\xe2\x89\x40\x1f\x2a\x4a\x9c\x88\xe2\xa3\x89\x0c\x24\x32\x2a\xe4\xa1\xf0\xcf\x00\x0a\x22\x4d\x9a\x00\xe8\x22\xb0\xc1"
    "\x80\x1e\x4d\x24\xac\x1c\x71\xe3\x06\x0a\x2d\x67\x04\x7e\x00\xe0\x86\x05\x11\x06\x02\x27\xfc\xbb\xa2\xc0\xad\x84\x2c\x3b\xb4\xac\x21\xb8\x60\x04\x92\x32\x1b\x68"
    "\x3c\x18\xe8\x64\x84\x16\x03\x04\xcf\x40\x16\x08\xe6\x82\x0c\x04\x12\x0a\xd4\x11\x68\xc6\x4d\x00\x2a\x04\xe1\x40\xe0\x70\xe2\xc4\xbf\x1e\x3d\xef\x40\x58\x60\x42"
    "\x20\x06\x1e\x21\x28\x50\x18\xf3\x2f\x05\x03\x00\x00\xb0\xb4\x28\x93\xc0\x45\x85\x24\x28\x7a\x0c\x74\x40\xe0\x8a\x07\x91\xff\x3c\xac\xc0\x0d\x00\x82\x8d\x7f\x27"
    "\xd0\x68\xd8\x42\x80\x20\x8b\x02\x6b\x94\x48\xc0\xf0\x60\x39\x6e\xbc\x5d\x41\xd0\x50\xf9\x72\x67\x60\x02\x2f\x48\xbe\xa0\x38\xe0\xe4\x9f\x86\x02\x25\x56\xd0\x21"
    "\x68\x86\x87\x8f\x89\x09\x56\x0c\xf0\xd0\xe6\x00\x0c\x81\x0f\xc0\x61\x01\x41\x09\xf8\x70\x81\x07\x03\x59\x80\x84\x0b\x7b\xb4\x81\x05\x18\x04\xa5\x30\x81\x1b\x15"
    "\xa8\xe1\xc2\x05\x7a\xf8\xf1\x8f\x5e\xff\x14\x50\xc0\x04\x73\xa9\x21\x50\x06\x27\xb8\x70\xc0\x05\xb8\x11\x51\x80\x0f\x01\x3c\xd1\x80\x40\x62\x39\x51\x01\x1b\x05"
    "\x88\xf0\x8f\x19\x70\xa8\xa1\x00\x04\x28\x7c\x90\x83\x0d\x39\x28\xb0\x43\x7b\xff\x7c\xd0\x82\x0c\xc0\x31\xd1\x03\x05\x66\x20\x60\xc3\x03\x16\x7c\x01\x47\x03\x3b"
    "\xc9\x40\x03\x41\x12\x40\x50\x81\x00\x1b\x28\xf0\xc0\x1a\x1e\x20\x61\xc5\x00\x10\x4c\x01\x80\x15\x84\x2c\x24\x81\x1e\x08\x4c\xe0\x83\x00\x3c\x10\xf0\x81\x1a\x2b"
    "\x1c\x39\x81\x00\x18\xd1\xb0\xc3\x00\x02\xc5\x61\x02\x19\xff\x98\x60\x40\x42\x18\x31\xc6\x02\x87\x85\x12\x14\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00"
    "\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\xb0\xa0\x0e\x34\x36\x0a\x2a\xbc\x03\xe7\x41\x08\x10\xff\xc8\x50\x19\x38\x40\x89\x42\x81\x1c\x02\x4d\x39"
    "\x40\x64\xca\x82\x0e\x09\x92\xc0\xf9\x97\x20\x08\x04\x08\x05\x4f\x2a\x38\xb0\xe3\x49\x87\x20\x0c\xa6\x8c\xc1\x71\x02\x49\x05\x1f\x17\x50\x0e\x54\xa2\x47\xc1\x82"
    "\x17\x68\xc2\xf0\xa8\xc1\xc5\xc2\x9a\x1f\x21\x4a\x28\x98\xb0\xe3\x00\x07\x81\x36\x3e\x7c\xf0\xc1\x94\x41\x0b\x05\x10\x24\x08\xc0\xf0\x2f\x82\x92\x0b\x03\x78\x5c"
    "\x40\x22\x30\x0f\xc9\x05\x2b\x6f\x8c\x38\xc0\xf1\x44\xc2\x7f\x4e\x4a\xd0\x98\x90\xa6\x45\x92\x81\x22\x50\x1c\xe8\xd0\xa4\x02\x02\x35\x45\x08\x0a\x58\x42\xe4\x8e"
    "\x15\x26\x30\x06\x0a\x38\x61\x27\x02\xc1\x35\x0f\x20\xfe\x43\xa3\x94\xe9\x8a\xb7\x26\x6c\x84\xa0\x40\x90\x87\x82\x2a\x60\x04\x0a\x20\x02\x21\x8a\x97\x15\x0f\x04"
    "\xea\xc0\x90\x22\x84\x89\x00\xff\xc6\xec\x58\x02\xe0\x02\x91\x24\x20\xda\x48\x18\x22\xe8\x83\x99\x81\x3d\x14\x24\x69\x12\x03\xee\x0d\x00\xc8\x0f\xf4\xf8\x77\x22"
    "\x86\x85\x12\x3c\x06\x26\x60\x10\x84\x4b\x81\x36\x20\x3c\xb0\x19\x01\x60\xc9\x8e\xdf\x08\x4c\xd3\xf8\x71\x3d\x90\x47\x89\x13\x19\xaa\xac\xf0\xf1\xef\x0a\x14\x00"
    "\x0a\x0a\x52\x79\xf0\x62\xe0\x16\x05\x02\x10\x30\x51\x90\x41\xe0\x9d\x26\x13\x10\x24\xc2\x1e\x4a\x6c\x31\x50\x03\x37\x7c\x70\xc5\x06\x07\xb0\x37\x90\x19\x6e\xd8"
    "\xe0\x83\x05\x02\xac\x20\x01\x01\x11\xfd\x73\x07\x04\x41\x4c\xc0\xc1\x01\x16\x08\x04\xc3\x11\x10\x28\x30\xc7\x05\x25\x5c\x30\x47\x0e\x75\x4c\x26\x50\x20\x07\x3c"
    "\x20\xc8\x05\x31\x40\xb4\xc7\x02\x44\xb0\xa1\x14\x12\x03\x68\x60\xc1\x02\x6a\xdc\xf5\x0f\x21\x10\x9c\x30\xc8\x1c\x53\xd4\x01\xc2\x1d\x3c\xf0\x90\xc4\x04\x1e\xf8"
    "\xc0\xc3\x02\x55\x20\xe1\xa0\x40\x32\x40\xa0\x41\x10\x6d\x54\x90\xc1\x17\x2b\xec\x70\x42\x07\x5e\x3c\xf1\x47\x56\x12\x14\x24\x81\x04\x0b\xa4\x90\x42\x13\x49\x88"
    "\xd0\xc1\x0e\x25\x30\x81\x45\x01\x2d\x5d\xf4\x0f\x0b\x1f\x0c\x54\x87\x14\xff\x98\x61\x41\x0c\x4d\xd8\xa1\xe7\x40\x36\xa0\x71\xe8\x45\x01\x01\x00\x21\xf9\x04\x09"
    "\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x48\xb0\xe0\x3f\x0a\x6b\xcc\x18\x24\x58\x41\xc3\x89\x21\x36\x40\xfc\x23\x33\xb0"
    "\x81\x18\x38\x0b\x21\x10\x99\x73\xe0\x00\x00\x08\x47\xfe\xa5\x30\xc0\xe3\x9f\x85\x02\x41\x08\xc2\x09\x42\x44\x81\x8b\x18\x13\xc4\x68\x58\xe0\xe5\xc4\x99\x1e\x2e"
    "\xdc\xbc\x90\xa0\x60\x60\x9c\x41\x32\xe8\xb0\xb8\x03\xa3\xc7\x04\x1f\x29\xbe\x08\x30\x21\x62\x81\x82\x27\x2c\x98\x40\x10\xb8\x86\x85\x85\x3b\x5e\x34\x7a\x2c\x41"
    "\xe4\x83\x05\x89\x77\x96\xe8\x09\xd0\x86\x88\x40\x1d\x13\x2b\xcc\x59\x52\x00\x42\x95\x15\x73\x24\x34\xa0\xf0\xef\x81\x0b\x22\x0d\x3a\x94\x48\x29\xd0\x06\x91\x13"
    "\x6b\xb8\xfc\x4b\xf0\x2f\x42\x00\x82\x2e\x0e\xc0\xa8\x70\xa1\xc1\xc0\x17\x49\x08\x14\x74\xb2\x46\xe2\x60\x08\x00\x1a\x28\x39\xd0\x45\x20\x09\x3b\x63\x44\x50\x00"
    "\x22\xf0\xc1\x06\x05\x02\x06\xa2\x28\xd1\x44\x0b\x00\x0f\x03\xa3\x2c\x70\x92\x47\xcb\xbf\x22\x0b\x6e\x00\x38\x40\xc4\x02\x85\x29\x2d\x32\x7c\x50\x60\x41\x60\x02"
    "\x06\x3b\x52\x7c\xf8\x10\x66\xc2\x12\x00\xd0\x2f\x6c\x79\xe1\x65\x41\x14\x06\x0b\x14\xfe\x83\x73\xa0\xc2\x9a\x39\x1b\x28\xda\xf8\xd8\x30\x02\xc0\x85\x13\x85\xfe"
    "\x1d\xb9\x22\x20\x48\x98\x81\x1a\x00\x58\x00\x73\x00\x89\xc0\x00\x0c\x00\xf4\x14\x48\x00\x44\x91\x04\x45\x0c\xf4\x04\x1b\x3e\xe4\x80\x45\x01\xda\xdd\x21\x80\x6d"
    "\x04\xc5\x61\xc1\x18\x03\x71\x07\x83\x1b\x37\xc8\x40\xd0\x1d\x92\x29\x14\x42\x14\x5d\x58\x11\xc5\x40\x6a\x09\x10\x43\x09\x32\x84\xf0\x0f\x06\x6a\xd0\xb0\xc1\x14"
    "\x6d\x20\x81\xc4\x05\x2b\x88\x41\x11\x5d\xff\x70\x20\x01\x0f\x0a\x1c\x40\x98\x19\x1a\x30\x70\xc3\x05\xe6\xb5\xa0\x00\x1f\x35\x0c\xc1\xc2\x03\x02\x49\x80\x82\x0f"
    "\x0c\xac\x20\x00\x08\x61\x38\x11\xc5\x10\x1d\x54\x90\x43\x0c\x43\x4c\xc0\x00\x14\x70\xd4\x31\x90\x15\x03\x94\x31\x40\x01\x49\xd4\xb0\xc0\x0e\x4a\x20\xd0\xc4\x20"
    "\x4a\x14\xa0\x87\x0b\x15\x6c\xc1\x90\x04\x1e\x80\x10\x40\x06\x10\x2e\xe0\xd1\x05\x4c\x10\xe1\x42\x20\x0b\xf5\x00\x87\x63\x02\x51\x54\x87\x06\x15\x30\xd0\x83\x06"
    "\x0b\x0d\x34\x83\x0d\x8d\x46\x1a\x10\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x28\xd0\x0e\x41\x82\x20"
    "\xc6\x1c\x24\x08\x01\xc9\x00\x2f\x03\xb6\x24\x01\x71\xd0\x43\x8a\x85\x12\x20\x6c\x38\xb0\x82\xc3\x81\x12\x10\x2a\xfc\x1b\x63\x46\xe0\x11\x37\x04\x53\xb8\x29\x40"
    "\x64\x01\x8f\x07\x3c\xee\x68\xc8\x42\x07\x4d\x06\x0d\x41\x78\xe4\x21\x22\x41\xe0\x98\x2b\x47\x86\x04\x68\x72\xe2\x48\x07\x35\x3d\x02\x78\x70\x62\x26\xc9\x85\x20"
    "\x01\x14\xb4\x10\x88\x47\x60\x06\x24\x25\x0e\x00\x00\x80\x65\x49\x01\x1f\x18\x74\x98\x90\xc0\xa4\xc1\x0e\x05\x10\x08\xb2\xc0\x12\xa8\x82\x1a\x28\x56\xd8\x14\x38"
    "\x71\xf1\x5f\x8e\x03\x0b\x26\x60\x41\x32\x10\x83\x8f\x0c\x75\x0e\x1a\x20\x28\x00\xc0\x11\x0b\x0a\x54\x0c\x1c\x13\xa5\x90\x0e\x82\x15\x0c\x50\x19\x48\x03\xc0\x09"
    "\x0d\x10\x9e\xd4\x10\x08\xc2\x82\x07\x20\x83\xff\x05\x40\x51\x42\xc0\xc0\x34\x37\x76\x20\xc0\xb2\x43\x60\x82\x20\x12\x92\xf8\x30\x9d\x82\xcf\x05\x00\x07\xa6\xf8"
    "\xf8\x57\x60\x89\x93\x26\x6c\x26\x08\x14\xc3\xa4\xcb\x90\x16\x2a\x4c\x58\x58\xb2\x15\xc0\x05\x34\x11\x54\x14\x40\x73\xb6\x87\xc0\x18\x0a\x10\x34\x00\xa0\xe7\x5f"
    "\x07\x22\xcc\x2f\xd3\x2c\x10\xf1\x6f\x81\x0f\x1e\x2e\xc0\x94\xfc\x87\x64\x45\x86\x27\x4b\x3e\x08\xf4\xc0\x00\x80\x82\x81\x6b\x08\x88\xd9\xf2\x46\x60\x18\x1a\x2e"
    "\xc0\x30\xc0\x12\x41\x0c\xf4\x80\x0f\x5d\x20\x84\x41\x14\x75\xfd\x33\xc0\x0a\x49\xd0\x01\x80\x69\x8b\x1d\x64\xc6\x1d\x70\x4c\x26\x90\x04\x6c\x20\xf0\xc4\x01\x0d"
    "\x08\x94\xc4\x0e\x19\xd1\x10\x44\x13\x0d\x30\x70\xc0\x16\x04\x05\x32\x97\x00\x07\x7c\xf0\xc6\x0f\x11\x54\xc0\x46\x73\xce\xb1\x11\x84\x41\xff\xfc\x20\x90\x0c\x56"
    "\x70\x81\xc2\x0a\x29\x14\xd1\x03\x0f\x3d\x34\xf1\xc4\x13\x03\x64\xd1\x40\x06\x0f\x9c\xe0\x41\x14\x02\x7d\x80\x04\x0f\x3c\xc4\xa0\xc1\x17\x79\xa4\x71\xc2\x16\x5c"
    "\x4c\x80\x00\x0c\x27\xe8\xe1\x82\x00\x21\x10\x14\x43\x82\xff\x44\x60\x50\x05\x25\x64\xc5\x81\x02\x4c\xa0\x80\x84\x1a\x0b\xa5\x60\xc1\x41\x26\xc0\xa1\x04\x0a\x3b"
    "\x74\x10\x04\x21\x0b\x0d\x94\x01\x79\x85\x9a\x50\xe8\x3f\x01\x01\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09"
    "\x1c\x28\xb0\x49\x0a\x82\x03\x49\xbc\x41\x38\xb0\x00\x84\x87\x0e\x9f\x6c\xc9\x80\x90\x8a\x01\x84\x6b\x3a\x14\x50\x30\x47\xc6\x0e\x28\x07\x88\xa8\x88\xf1\x8f\x00"
    "\x08\x81\x1a\xd6\x0c\x34\x20\xe6\x83\x1b\x16\x19\x6c\xa0\xc9\x10\xa1\x81\x20\x17\x22\x78\xa0\x11\x38\x40\x89\x40\x1d\x27\xff\x0d\x41\x52\xa0\x8d\x04\x19\x03\x1e"
    "\x24\xa9\x90\x21\xca\x02\x2f\x0f\x2a\x40\x28\xf0\x4f\x8a\x40\x2a\x41\x0e\x2c\x29\x71\x60\xc4\x88\x0d\x4a\x78\xfc\xa0\x32\x41\x81\x84\x26\x25\x20\x0c\x34\x33\x61"
    "\x81\x93\x35\x5b\x76\x28\x99\x32\x25\x0d\x0c\x1d\xff\xee\x2c\x29\xb0\x06\x8b\x5a\x81\x26\x02\xa4\xf8\x81\xd0\x44\x83\x81\x68\x14\x14\xb0\xe0\x70\x20\x1e\x11\x2f"
    "\x84\x04\xfd\xa7\xe5\xc1\x41\x81\x4a\x4a\x48\x98\x90\xa6\x85\x1a\x81\x0d\xaa\x34\x08\xe0\x44\xa0\x07\x2b\x25\x2a\x58\x10\x98\x63\x89\x0b\x34\x05\xa6\x1c\x44\x80"
    "\x62\xc0\x9d\x05\x3b\x32\x04\xd8\x71\x01\xc0\x01\x2b\x87\x05\x01\x18\x90\xe4\x46\x10\x81\x02\x88\x4c\x40\xc3\x86\x03\x88\x2d\x00\xa2\x03\xb8\x60\x01\x84\x84\x15"
    "\x01\x9a\x28\x80\x23\xd0\x45\x0b\x0c\x48\x00\xe3\xec\xf8\xd7\xa4\xc0\x08\x00\x4b\xb2\x3c\xf0\x40\x43\x49\x00\x42\x48\x78\xfc\x0b\xb3\x82\x81\x05\x14\x00\x7c\x08"
    "\x44\x90\x66\x44\x0b\xfd\xff\xb0\xc0\x83\x12\x2b\xac\xf6\x4f\x0c\x05\x04\x31\x41\x01\x1b\xb8\x31\x90\x13\x0d\x2c\x30\x10\x08\x20\x3c\x20\x82\x03\x0d\xc9\xd0\x03"
    "\x11\x0a\xd8\x30\x90\x07\x75\x54\x94\x41\x19\x04\xc9\x40\x44\x19\x2b\x1c\x60\xc7\x3f\x66\x08\xc0\x00\x07\x67\xb9\x61\x83\x01\x4e\x28\x81\xc6\x64\x12\xb4\xd1\x00"
    "\x12\x44\x0c\x01\x02\x01\x08\x0c\xd0\xdb\x12\x0a\x6c\x70\xc3\x06\x1d\x50\x20\x10\x09\xff\xd0\x00\x85\x00\x16\x30\xa0\x44\x0a\x43\xb0\x10\xc0\x04\x56\x4c\x55\x40"
    "\x7d\x14\xfd\x03\x04\x61\xe4\x7d\xf0\x8f\x08\x13\x24\x41\x40\x0b\x3b\xc0\x90\x42\x0f\x2c\xf4\xb0\xc6\x04\x4d\x64\x31\x48\x97\xff\xac\x31\x08\x60\x21\x0a\xe0\x02"
    "\x11\x6c\x40\xf1\x84\x15\x0a\x40\x20\x41\x0c\x19\x10\x40\x90\x4a\x08\x21\xa0\x44\x0b\x2d\x48\xe0\x68\x20\x34\x30\x24\x10\x08\x4c\x32\x84\x81\x81\x0c\x05\x04\x00"
    "\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x1c\x28\x50\x42\x13\x3b\x04\x09\x92\x48\x68\x26\x80\x92\x02\x44\x56"
    "\xb0\x61\x73\x23\x08\x8f\x31\x0a\x7f\x24\xfc\xe2\x43\x06\x0a\x09\x27\x04\xc4\x40\xb2\x01\x42\x85\x84\x45\xbe\x98\xf9\xe7\x80\x42\x84\x7f\x29\xd6\xf8\xf0\xa1\xe1"
    "\x4a\x82\x24\x27\x64\x74\x49\x90\x41\x84\x40\x1f\x3c\x04\x92\x11\x98\x40\xd0\x1f\x05\x2d\x92\x82\xc9\x60\xe1\x44\x04\x04\x03\x60\xba\x50\x42\x70\xcc\x93\x0b\x32"
    "\x18\x14\x00\x00\x60\x04\x87\x00\x36\xde\x24\xb8\x90\xe5\x4e\x15\x14\x03\x75\x3c\x08\x10\x67\x46\x86\x7f\x08\x18\x10\x21\xb2\x00\xc3\x3f\x13\x32\xe6\x88\x41\xb2"
    "\x62\x20\x89\x33\x63\x28\x24\x34\x31\x84\x85\xc0\x28\x74\x56\xb0\xd8\xa1\x60\xa0\x0d\x25\x15\x42\xf8\x14\xc8\xc3\x82\x01\x82\x82\x88\x34\x51\xc2\x46\xc2\xbf\x24"
    "\x03\xd2\x70\x71\xe8\xe4\x5f\x00\x19\x17\x3e\xbc\xfd\x67\x61\x49\x0b\x18\x47\x0e\xa8\xf9\xe7\x43\x41\x8e\x24\x44\x0a\x8c\xc9\x93\xe6\x06\x80\x0b\x9e\xff\x1d\x01"
    "\x00\xe1\x01\x04\x26\x29\xfe\xc9\x28\xfe\x61\x84\x0b\x0a\x1a\xb8\x72\xc5\xd2\x03\x8f\x04\x00\x15\x9c\xb0\x09\xf2\x2f\x0c\x00\x2f\x7e\x56\xdb\x00\x68\xf2\x8f\x47"
    "\x81\x11\x00\x96\x30\xe0\x91\x81\x03\x87\x07\x0b\x56\xf4\xf8\x17\xa3\x84\x80\xda\x17\x92\x08\x74\xe2\x02\x00\x8a\x00\xff\x08\x90\x05\x0f\x5b\x48\xb0\xc0\x5b\x81"
    "\x6c\xe0\x46\x0e\x73\xa8\x40\x90\x06\x5a\x10\x24\x42\x06\x3b\x54\x70\x99\x40\x28\x84\x54\xc2\x00\x2f\xfd\xe3\x86\x1f\x04\x24\x44\x85\x1d\x26\x10\xe4\xc2\x13\x3e"
    "\x6c\xa8\x03\x4c\x34\xa0\xd0\xc6\x09\x5c\xfc\x53\x84\x09\x85\xf4\x80\xd0\x40\x5a\xf9\x51\x40\x0b\x20\x10\x90\x81\x76\x5c\x1d\x40\xc7\x00\x74\x94\xd0\xc5\x64\x3f"
    "\x49\x60\x40\x06\x4f\x0c\x11\x42\x05\x79\x78\x10\x84\x02\x0a\xac\x50\xc2\x1c\x3b\x94\xc8\x92\x40\x5c\xf8\x20\x50\x0a\x65\x60\x70\x02\x03\x60\x24\x61\x43\x03\x6e"
    "\x68\x01\xc3\x18\x09\xfc\x93\x00\x01\x82\xb9\x95\xd0\x3f\x6a\x54\xa9\x02\x18\x4a\x2c\xa0\x95\x04\x2c\x44\x31\x58\x42\x0f\xc4\x00\x01\x00\x1b\xb4\x30\x05\x12\x74"
    "\xf8\x10\xc0\x4a\x04\x09\x36\xe7\x5d\x16\xcc\xf6\x68\x40\x00\x21\xf9\x04\x09\x0a\x00\xff\x00\x2c\x00\x00\x00\x00\x17\x00\x17\x00\x00\x08\xfe\x00\xff\x09\x14\xb8"
    "\x00\x82\x41\x09\x4d\x42\x0c\x5c\xc8\x50\xe0\x18\x38\x34\x88\xac\x60\x73\x63\xc9\x85\x23\x29\x18\x92\x20\x31\xd0\x41\x9d\x24\x1d\x7c\xe4\x68\xe0\x61\x88\x8f\x29"
    "\x4c\xda\xf0\x58\xa8\xa3\xd0\x40\x32\x64\x04\x26\x59\xe0\x65\x87\x80\x35\x67\x26\xc8\x80\x02\x03\x43\x1d\x81\x0f\xc6\x30\x8c\xf2\xa1\xc4\x8d\x03\x07\x2e\x20\x19"
    "\x12\xe0\x48\x9e\x17\x79\x04\x2a\x11\xb3\xf0\x4c\x0f\x01\x1a\xe0\x74\x80\x30\x02\xc0\x0a\x92\x19\x8a\xb8\x61\x60\x43\x8b\x84\x05\x03\x31\x64\x10\xf1\x43\x20\x0f"
    "\x31\x53\x14\xc8\x40\x43\x81\x80\x8f\x0d\x4a\x2a\x6c\x40\x21\x30\x42\x06\x0b\x21\x28\x0c\x6d\x10\x40\xe0\x84\x03\x41\x1a\x30\x81\x20\xd0\x07\x07\x25\x36\x78\x0c"
    "\x11\x68\x87\x45\x82\x85\x02\x2e\xec\x70\x82\x85\x31\x97\x39\x69\xca\xc4\x90\xb0\x72\x8d\x84\x25\x74\xce\x08\x0c\xe0\xe2\x80\x1b\x18\x58\x24\xfc\xa3\xa3\x00\x8d"
    "\x13\x26\x44\xcc\x70\x99\x82\x05\xc0\x92\x27\x02\x11\x2c\xb9\xc1\x43\xc9\x12\x35\x29\x46\x48\x48\xc1\x35\xc8\x3f\x37\x00\xa2\x03\x18\x31\xe1\x1f\x83\x11\x48\x1e"
    "\x28\x60\x13\xa2\x09\x00\x1f\x13\x6e\xe3\xdc\x28\x6c\xa7\x40\xf4\x25\x05\x02\x88\x40\xb1\xc2\x83\x8f\x03\x68\x55\xdc\xf0\xa0\xe6\x86\x84\x35\x02\x3d\xac\x00\x60"
    "\x25\xe3\x20\x24\x0d\xf0\x80\xc4\x0a\x19\xfc\x23\xc1\x0a\x5b\x30\xb0\x44\x03\x0b\x6d\x51\xc1\x40\x30\x78\xc0\x43\x10\x32\xf4\x20\x10\x21\x05\x68\x40\xc7\x01\x68"
    "\x08\x04\x87\x18\x97\x2d\x04\x42\x06\x08\x44\x61\x86\x40\x50\x70\x20\xc0\x07\xed\xd5\x35\x41\x1b\x2d\x48\x80\x06\x7e\xff\x00\x91\x40\x14\x18\x0c\xd4\xc0\x0e\x3e"
    "\xf0\x30\x00\x0b\x45\xdc\xe1\xc1\x09\x17\x00\x60\x5f\x03\x08\x68\x20\x40\x00\x3f\x0d\x04\x87\x12\xff\xdc\x61\xc1\x5f\x4a\x70\x01\x47\x0b\xc3\x5d\x70\x40\x0b\x15"
    "\xd4\xc0\x50\x0d\x2b\xfd\x23\x82\x09\x4e\x40\x01\x85\x05\x51\x68\xb0\x40\x10\x0c\xe4\x60\x80\x40\x52\x70\x24\x90\x42\x0d\xb2\xc1\x44\x01\x2c\xc0\x80\xc0\x04\x0d"
    "\x4c\xd0\x41\x12\x09\x08\x26\x10\x05\x72\x0e\xd4\x83\x79\xc3\x29\x80\x02\x0a\x3b\xc0\x21\x54\x43\x90\x46\x70\xc5\x07\x2a\x04\x22\x01\x83\x0b\x05\x04\x00\x3b\x00";
static int data_length = sizeof(data);

static int Running = 0;
static QMovie *Animation;

class toBackgroundLabel : public QLabel
{
    int TimerID;
public:
    toBackgroundLabel(QWidget *parent)
            : QLabel(parent)
    {
        QByteArray arr;
        arr.assign(data, data_length);
        Animation = new QMovie(arr);
        setMovie(*Animation);
        TimerID = startTimer(2000);
    }

    virtual void timerEvent(QTimerEvent *time)
    {
        if (TimerID == time->timerId())
        {
            killTimer(TimerID);
            TimerID = -1;
            if (Running == 0)
                Animation->pause();
        }
    }

    int timerID()
    {
        return TimerID;
    }

    virtual void mouseReleaseEvent(QMouseEvent *e)
    {
        try
        {
            if (e->button() == LeftButton)
            {
                QString str = "Currently running SQL:\n\n";
                std::list<QString> conns = toMainWidget()->connections();
                for (std::list<QString>::iterator i = conns.begin();i != conns.end();i++)
                {
                    toConnection &conn = toMainWidget()->connection(*i);
                    std::list<QString> running = conn.running();
                    if (running.begin() != running.end())
                    {
                        str += "On connection " + conn.description(false) + ":\n\n";
                    }
                    int num = 1;
                    for (std::list<QString>::iterator j = running.begin();j != running.end();j++)
                    {
                        str += QString::number(num) + ". " + (*j) + "\n\n";
                        num++;
                    }
                }
                toMainWidget()->displayMessage(str);
#if QT_VERSION >= 0x030000

                e->accept();
#endif

            }
            else
                QLabel::mouseReleaseEvent(e);
        }
        TOCATCH
    }
};

static toBackgroundLabel *Label;

toBackground::toBackground(QObject* parent, const char* name)
        : toTimer(parent, name)
{
    if (!Label)
        init();
}

void toBackground::start(int msec)
{
    if (!Label)
        init();
    if (!isActive())
    {
        Running++;
        if (!Label)
            return ;
        Animation->unpause();
    }
    Animation->setSpeed(std::min(Running, 1)*100);
    if (Running > 1)
        QToolTip::add
            (Label, tr("%1 queries running in background.").arg(Running));
    else
        QToolTip::add
            (Label, tr("One query running in background."));
    toTimer::start(msec);
}

void toBackground::stop(void)
{
    if (!Animation)
        init();
    if (isActive())
    {
        Running--;
        if (Animation)
        {
            if (Running == 0 && Label->timerID() < 0)
                Animation->pause();
            else
                Animation->setSpeed(Running*100);
            if (Running > 1)
                QToolTip::add
                    (Label, tr("%1 queries running in background.").arg(Running));
            else if (Running == 1)
                QToolTip::add
                    (Label, tr("One query running in background."));
            else
                QToolTip::add
                    (Label, tr("No background queries."));
        }
    }
    toTimer::stop();
}

void toBackground::init(void)
{
    toMain *main = toMainWidget();
    if (!main || Label)
        return ;

    Label = new toBackgroundLabel(main->statusBar());
    Label->show();
    main->statusBar()->addWidget(Label, 0, true);
    QToolTip::add
        (Label, tr("No background queries."));
}

toBackground::~toBackground()
{
    stop();
}
